Bug 64292 - [Template manager] toolbars visible in template preview
Summary: [Template manager] toolbars visible in template preview
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.6 release
Hardware: Other All
: medium normal
Assignee: Akshay Deep
URL:
Whiteboard: target:5.2.0
Keywords: needsDevEval, regression, topicUI
: 59214 92579 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-05-06 21:07 UTC by Andras Timar
Modified: 2016-10-25 19:02 UTC (History)
12 users (show)

See Also:
Crash report or crash signature:


Attachments
Addon toobar (LibreLogo) (54.74 KB, image/png)
2013-05-06 21:07 UTC, Andras Timar
Details
Impress toolbars (88.91 KB, image/png)
2013-05-06 21:08 UTC, Andras Timar
Details
template manager in 3.3 (135.79 KB, image/png)
2016-04-18 13:49 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2013-05-06 21:07:39 UTC
Created attachment 78945 [details]
Addon toobar (LibreLogo)

1. File - New - Templates
2. Select a template - Choose Properties

Preview of Impress templates has unneeded, inactive toolbars.
Preview of Writer template has a visible Addon Toolbar (LibreLogo in this case).
Comment 1 Andras Timar 2013-05-06 21:08:10 UTC
Created attachment 78946 [details]
Impress toolbars
Comment 2 Thomas Hackert 2013-06-20 08:59:50 UTC
Hello Andras, *,
I can partly confirm this with LO Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 and installed Germanophone lang- as well as helppack under Debian Testing AMD64:

I can confirm, that Impress templates has inactive toolbars there ... :( But I cannot confirm, that LibreLogo is visible in Writer templates ... :(

Did you use some special template? If so: Would you be so kind to upload it here, please? I have only installed some extensions to get some templates to play with (http://dvd.de.libreofficebox.org/assets/de/templates/libreofficebox-de-vorlagen.oxt for example), but maybe you used a different one, where it can be reproduced ... ;)

Sorry for the inconvenience
Thomas.
Comment 3 Andras Timar 2013-06-20 09:23:03 UTC
@Thomas: see the attached screenshot. The stock MediaWiki template is on the screenshot. Of course, first you have to make the LibreLogo toolbar visible in Writer. The bug is that you don't want to see LibreLogo toolbar in a preview window or for a read-only document.
Comment 4 Jacques Guilleron 2013-06-20 23:05:11 UTC
Hi Andras,

I confirm. I see typographic toolbar, search, in a letter template preview and the same things like you in presentation templates.
LO 4.0.4.1 & Windows 7 Home Premium

Jacques Guilleron
Comment 5 Thomas Hackert 2013-06-23 13:23:17 UTC
Hello Andras, *,
(In reply to comment #3)
> @Thomas: see the attached screenshot. The stock MediaWiki template is on the
> screenshot. Of course, first you have to make the LibreLogo toolbar visible
> in Writer. The bug is that you don't want to see LibreLogo toolbar in a
> preview window or for a read-only document.

ah, OK. If I switch activate the LibreLogo toolbar before, than I can confirm your bug .... :(

As of comment 4: Should we not change the version to 4.0.4.1, as this is the older confirmed version? I have installed the ooo2gd extension as well in LO Version 4.0.4.2 (Build ID: 9e9821abd0ffdbc09cd8c52eaa574fa09eb08f2) under Debian Testing AMD64, which is visible in the preview as well ... :(

Sorry for the inconvenience
Thomas.
Comment 6 Jorendc 2014-02-11 12:22:19 UTC
Still reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.2.0.4 
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

At first I thought it was a dupe of 37758, looks like it isn't (that bug is fixed at least).

Kind regards,
Joren
Comment 7 Joel Madero 2015-05-02 15:41:52 UTC Comment hidden (obsolete)
Comment 8 Adolfo Jayme 2015-05-02 21:21:44 UTC
Still reproducible in 4.4.3 under Linux and Windows.
Comment 9 Cor Nouws 2015-07-07 08:14:32 UTC
*** Bug 92579 has been marked as a duplicate of this bug. ***
Comment 10 Jan Holesovsky 2015-07-07 10:39:58 UTC
Can you please check if this is a regression of bug 37758, or if that one is OK?
Comment 11 Cor Nouws 2015-07-07 11:49:50 UTC
(In reply to Jan Holesovsky from comment #10)
> Can you please check if this is a regression of bug 37758, or if that one is
> OK?

That fix still stands.

The preview in 3.3.0 does not show toolbars.
In 3.4.6 it does.
So it is a prebibisect regression, apparently.
Comment 12 Cor Nouws 2015-07-07 11:52:02 UTC
Hmm. IN 3.4.6 Impress templates do show toobars in the preview and Writer templates don't.
Leaving this now.
Comment 13 Jan Holesovsky 2015-07-07 12:58:04 UTC
I'm not really interested in 3.4.x :-)  Need to know how's that in the current master - has the bug 37758 regressed, or is it still OK?

[Ie. even though the template manager shows the toolbars, does the mail merge not show them?  Or does the mail merge show the toolbars too?]

Thanks a lot!
Comment 14 Cor Nouws 2015-07-07 21:44:30 UTC
(In reply to Jan Holesovsky from comment #13)
> I'm not really interested in 3.4.x :-)  Need to know how's that in the
> current master - has the bug 37758 regressed, or is it still OK?

pls see the first line I typed in my comment #11 :)
Comment 15 Jan Holesovsky 2015-07-08 06:17:47 UTC
Ah OK, misunderstood :-)  So this is good, we just need the template manager to do the same thing as the mailmerge dialog.
Comment 16 Cor Nouws 2015-07-08 07:06:20 UTC
(In reply to Jan Holesovsky from comment #15)
> ..  we just need the template manager
> to do the same thing as the mailmerge dialog.

Yep, indeed :)
And as you may read from my comment #12, Writer and Impress templates behave different. (Did not check Calc)
Comment 17 Robinson Tryon (qubit) 2015-12-13 11:23:50 UTC Comment hidden (obsolete)
Comment 18 Cor Nouws 2016-03-15 13:56:34 UTC
*** Bug 59214 has been marked as a duplicate of this bug. ***
Comment 19 Yousuf Philips (jay) (retired) 2016-04-18 13:49:27 UTC
Created attachment 124458 [details]
template manager in 3.3

As the template manager displays the preview already, there isnt any benefit of having a preview in the properties dialog. With the old design of the template manager found in 3.3, you either saw the template properties or the preview, so there was a benefit of having the preview shown there.

Akshay has submitted a patch to remove the preview.
https://gerrit.libreoffice.org/#/c/23339/
Comment 20 Commit Notification 2016-04-26 14:04:28 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0bdb8baf57ac243f574db6273eed70127379e3fc

tdf#64292 tdf#94639 Meaningless Functions in Template Properties Dialog

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.